astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- asdf v »
- Developer API »
- get_children

# get_children

asdf.treeutil.get_children(node)

  Retrieve the children (and their dict keys or list/tuple indices) of an ASDF tree node.

  Parameters:
    node object

      an ASDF tree node

  Returns:
    list of (object, object) tuples

      list of (identifier, child node) tuples, or empty list if the node has no children (either it is an empty container, or is a non-container type)